> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get placement group



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v1/servergroups/{project_id}/{region_id}/{group_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/servergroups/{project_id}/{region_id}/{group_id}:
    get:
      tags:
        - Placement Groups
      summary: Get placement group
      operationId: ServerGroupInstanceViewSet.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            type: integer
        - in: path
          name: group_id
          required: true
          description: Placement group ID
          schema:
            type: string
      responses:
        '200':
          description: Returned placement group
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ServerGroupSerializer'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            placement_group = client.cloud.placement_groups.get(
                group_id="group_id",
                project_id=0,
                region_id=0,
            )
            print(placement_group.project_id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/cloud\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tplacementGroup, err := client.Cloud.PlacementGroups.Get(\n\t\tcontext.TODO(),\n\t\t\"group_id\",\n\t\tcloud.PlacementGroupGetParams{\n\t\t\tProjectID: gcore.Int(0),\n\t\t\tRegionID:  gcore.Int(0),\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", placementGroup.ProjectID)\n}\n"
components:
  schemas:
    ServerGroupSerializer:
      properties:
        instances:
          description: The list of instances in this server group.
          example:
            - instance_id: 6d14f194-6c1e-49b3-9fc7-50dc8401eb74
              instance_name: my-instance-1
            - instance_id: 142988bb-291e-4862-bffb-b1cf20036c27
              instance_name: my-instance-2
          examples:
            - - instance_id: 6d14f194-6c1e-49b3-9fc7-50dc8401eb74
                instance_name: my-instance-1
              - instance_id: 142988bb-291e-4862-bffb-b1cf20036c27
                instance_name: my-instance-2
          items:
            $ref: '#/components/schemas/InstanceBriefSerializer'
          title: Instances
          type: array
        name:
          description: The name of the server group.
          example: my-server-group
          examples:
            - my-server-group
          title: Name
          type: string
        policy:
          description: >-
            The server group policy. Options are: anti-affinity, affinity, or
            soft-anti-affinity.
          example: anti-affinity
          examples:
            - anti-affinity
          title: Policy
          type: string
        project_id:
          description: Project ID
          example: 1337
          examples:
            - 1337
          title: Project Id
          type: integer
        region:
          description: Region name
          example: Luxembourg 1
          examples:
            - Luxembourg 1
          title: Region
          type: string
        region_id:
          description: Region ID
          example: 7
          examples:
            - 7
          title: Region Id
          type: integer
        servergroup_id:
          description: The ID of the server group.
          example: 47003067-550a-6f17-93b6-81ee16ba061e
          examples:
            - 47003067-550a-6f17-93b6-81ee16ba061e
          title: Servergroup Id
          type: string
      required:
        - project_id
        - region_id
        - region
        - servergroup_id
        - policy
        - name
        - instances
      title: Server group schema
      type: object
    InstanceBriefSerializer:
      properties:
        instance_id:
          description: The ID of the instance, corresponding to the attribute 'id'.
          example: 142988bb-aa1e-4862-bffb-1bc2f0036c77
          examples:
            - 142988bb-aa1e-4862-bffb-1bc2f0036c77
          title: Instance Id
          type: string
        instance_name:
          description: The name of the instance, corresponding to the attribute 'name'.
          example: test_instance
          examples:
            - test_instance
          title: Instance Name
          type: string
      required:
        - instance_id
        - instance_name
      title: Instance brief details schema
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````